Simple Machines > Archives

SMF 1.1.14 has been released

(1/16) > >>

Norv:
Simple Machines announces the release of SMF 1.1.14, addressing a vulnerability found in SMF 1.1.13 allowing display name spoofing as well as fixing a MySQL 5.5 compatibility issue. We strongly recommend that all users upgrade as soon as possible.

Upgrade automatically by visiting your Administration Center, where a notice will be displayed prompting you to upgrade. Click the link, confirm the changes and your forum will be up to date again. Additionally, you can upgrade using the package manager by downloading the SMF 1.1.13 to SMF 1.1.14 upgrade package from Package Manger Updates section, uploading it to the Package Manager, and applying it as prompted. For help with this refer to the Package Manager section of the Online Manual.

If you cannot upgrade using the package manager, please follow the instructions posted in the Online Manual about installing and upgrading.

It may be necessary to apply the upgrade manually if mod conflicts mean that you cannot install the patch through the package manager. Instructions for doing this can be found on manual upgrades page for SMF 1.1.13.

SMF 1.0.x branch is not affected by this issue. So, for those still using the SMF 1.0.x branch, no change is necessary.

Please note:
As of today, 1.1.14 is no longer the stable branch of SMF, as SMF 2.0 is being released as we speak. 1.1.14 will remain in maintenance stage, and it will continue to be supported for security and major/critical functionality fixes, only it will not receive new features, nor minor bug fixes or improvements.

Finally - please do not use this topic for any support requests. You will get a much more prompt response by visiting the relevant support board!

Regards,
Simple Machines Forum Team

Looking:
Thanks for clearing those things up.

sharks:
Finally! Thank you! Although i have to say i'm disappointed with "it will not receive new features, nor minor bug fixes or improvements."
SMF 1.1.14 currently has 15 known bugs according to the bug tracker: http://dev.simplemachines.org/mantis/my_view_page.php (select 1.1 from the list).
Now that 2.0 is out, i really hope that the devs will find a little time to completely fix the 1.1.x branch, even if it's one bug per week/month.

Xuantia:
Thank you very much for clearing things up. Nice to know it'll be supported even though 2.0 Gold is now released. (I have some friends who still use, and enjoy using the 1.1.x branch).

CoreISP:
Thank you all :)

Navigation

[0] Message Index

[#] Next page

Go to full version